<?php defined('MW_PATH') || exit('No direct script access allowed');

/**
 * @package MailWizz EMA
 * @subpackage Support tickets
 * @author Serban George Cristian <cristian.serban@mailwizz.com> 
 * @link http://www.mailwizz.com/
 * @copyright 2013-2014 MailWizz EMA (http://www.mailwizz.com)
 * @license http://www.mailwizz.com/license/
 */
?>

<?php $form = $this->beginWidget('CActiveForm'); ?>
<div class="box box-primary">
    <div class="box-header">
        <div class="pull-left">
            <h3 class="box-title">
                <span class="glyphicon glyphicon-book"></span> <?php echo $pageHeading;?>
            </h3>
        </div>
        <div class="pull-right"></div>
        <div class="clearfix"><!-- --></div>
    </div>
    <div class="box-body">
        <div class="form-group col-lg-3">
            <?php echo $form->labelEx($model, 'rating_enabled');?>
            <?php echo $form->dropDownList($model, 'rating_enabled', $model->getYesNoOptions(), $model->getHtmlOptions('rating_enabled')); ?>
            <?php echo $form->error($model, 'rating_enabled');?>
        </div> 
        <div class="form-group col-lg-3">
            <?php echo $form->labelEx($model, 'rating_timeframe');?>
            <?php echo $form->textField($model, 'rating_timeframe', $model->getHtmlOptions('rating_timeframe')); ?>
            <?php echo $form->error($model, 'rating_timeframe');?>
        </div> 
        <div class="form-group col-lg-3">
            <?php echo $form->labelEx($model, 'inactive_close_days');?>
            <?php echo $form->textField($model, 'inactive_close_days', $model->getHtmlOptions('inactive_close_days')); ?>
            <?php echo $form->error($model, 'inactive_close_days');?>
        </div> 
        <div class="clearfix"><!-- --></div>
        <?php if (count($model->getCustomerGroupsOptions())) { ?>
        <div class="clearfix"><!-- --></div>
        <hr />
        <div class="form-group col-lg-3">
            <?php echo $form->labelEx($model, 'groups');?>
            <div class="article-categories-scrollbox">
                <ul class="list-group">
                <?php echo CHtml::checkBoxList($model->modelName.'[groups][]', $model->groups, $model->getCustomerGroupsOptions(), $model->getHtmlOptions('groups', array(
                    'class'        => '',
                    'template'     => '<li class="list-group-item">{beginLabel}{input} <span>{labelTitle}</span> {endLabel}</li>',
                    'container'    => '',
                    'separator'    => '',
                    'labelOptions' => array('style' => 'margin-right: 10px;')
                ))); ?>
                </ul>
            </div>
            <?php echo $form->error($model, 'groups');?>
        </div>
        <div class="clearfix"><!-- --></div>
        <?php } ?>
        <div class="clearfix"><!-- --></div>
    </div>
    <div class="box-footer">
        <div class="pull-right">
            <button type="submit" class="btn btn-primary btn-submit" data-loading-text="<?php echo Yii::t('app', 'Please wait, processing...');?>"><?php echo Yii::t('app', 'Save changes');?></button>
        </div>
        <div class="clearfix"><!-- --></div>
    </div>
</div>
<?php $this->endWidget(); ?>