<?php defined('MW_PATH') || exit('No direct script access allowed');

/**
 * SupportTicketsExtModel
 * 
 * @package MailWizz EMA
 * @subpackage Support tickets
 * @author Serban George Cristian <cristian.serban@mailwizz.com> 
 * @link http://www.mailwizz.com/
 * @copyright 2013-2014 MailWizz EMA (http://www.mailwizz.com)
 * @license http://www.mailwizz.com/license/
 */
 
/**
 * This is the model class for table "user_to_support_ticket_department".
 *
 * The followings are the available columns in table 'user_to_support_ticket_department':
 * @property integer $user_id
 * @property integer $department_id
 */
class UserToSupportTicketDepartment extends ActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return '{{user_to_support_ticket_department}}';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		$rules = array(
			array('user_id, department_id', 'required'),
			array('user_id, department_id', 'numerical', 'integerOnly'=>true),
            array('user_id', 'exist', 'className' => 'User', 'criteria' => array('condition' => 'status = :st', 'params' => array(':st' => User::STATUS_ACTIVE))),
            array('department_id', 'exist', 'className' => 'SupportTicketDepartment'),
		);
        
        return CMap::mergeArray($rules, parent::rules());
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		$relations = array();
        return CMap::mergeArray($relations, parent::relations());
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		$labels = array(
			'user_id'       => Yii::t('ext_support_tickets', 'User'),
			'department_id' => Yii::t('ext_support_tickets', 'Department'),
		);
        
        return CMap::mergeArray($labels, parent::attributeLabels());
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return UserToSupportTicketDepartment the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
