<?php defined('MW_PATH') || exit('No direct script access allowed');

/**
 * @package MailWizz EMA
 * @subpackage Support tickets
 * @author Serban George Cristian <cristian.serban@mailwizz.com>
 * @link http://www.mailwizz.com/
 * @copyright 2013-2014 MailWizz EMA (http://www.mailwizz.com)
 * @license http://www.mailwizz.com/license/
 */
$replyUrl  = Yii::app()->apps->getAppUrl('backend', 'support-tickets/view/id/' . $ticket->ticket_id . '#reply-' . $reply->reply_id, true);
$avatarUrl = $customer->getAvatarUrl(50, 50);
if (strpos($avatarUrl, '/frontend') === 0 || strpos($avatarUrl, '/frontend/') !== false) {
    if (method_exists(Yii::app()->apps, 'getCurrentHostUrl')) {
        $avatarUrl = Yii::app()->apps->getCurrentHostUrl($avatarUrl);
    } else {
        $info = Yii::app()->apps->getAppUrl('frontend', '/', true, true);
        $host = parse_url($info, PHP_URL_SCHEME) . '://';
        $host .= parse_url($info, PHP_URL_HOST);
        if (($port = parse_url($info, PHP_URL_PORT)) && !empty($port) && $port != 80) {
            $host .= ':' . $port;
        }
        $avatarUrl = $host . $avatarUrl;
    }
}
if (strpos($avatarUrl, '//') === 0) {
    $avatarUrl = 'http:' . $avatarUrl;
}
?>


<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="border-bottom: 1px dotted #c2c2c2; padding-bottom: 20px;">
            <?php echo Yii::t('ext_support_tickets', 'Hello {nameA}, this ticket reply has been posted by {nameB} and requires your attention. Please read the ticket reply content below:', array(
                '{nameA}' => $user->fullName,
                '{nameB}' => $customer->fullName,
            ));?>
        </td>
    </tr>
    <tr>
        <td>
            <table cellpadding="0" cellspacing="0" style="padding-top: 10px;">
                <tr>
                    <td>
                        <img src="<?php echo $avatarUrl;?>" style="width:50px; height:50px;" width="50" height="50"/>
                    </td>
                    <td style="padding-left: 10px;">
                        <?php echo Yii::t('ext_support_tickets', 'Posted by {name}', array('{name}' => $customer->fullName));?> (<?php echo Yii::t('ext_support_tickets', 'Customer');?>)<br />
                        <?php echo Yii::t('ext_support_tickets', 'At {date}', array('{date}' => $reply->dateAdded));?>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td style="border-bottom: 1px dotted #c2c2c2; padding-bottom: 10px; padding-top:5px">
            <?php echo $reply->content;?>
            <?php
            if (!empty($ticket->department_id) || !empty($ticket->priority_id)) {
                $data = array();
                if (!empty($ticket->department_id)) {
                    $data[] = Yii::t('ext_support_tickets', 'Department: {department}', array('{department}' => $ticket->department->name));
                }
                if (!empty($ticket->priority_id)) {
                    $data[] = Yii::t('ext_support_tickets', 'Priority: {priority}', array('{priority}' => $ticket->priority->name));
                }
                echo '<br /><br />' . implode(', ', $data);
            } ?>
        </td>
    </tr>
    <tr>
        <td style="padding-top:25px">
            <?php echo Yii::t('ext_support_tickets', 'You can follow the url below in order to reply to this ticket:');?><br />
            <?php echo CHtml::link($replyUrl, $replyUrl);?><br /><br />
            <?php echo Yii::t('ext_support_tickets', 'Thank you!');?>
        </td>
    </tr>
</table>
